package com.szpg.db.data;

public class PgAlarmRule implements java.io.Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 6278928807122483056L;
	
	private Integer id;
	private String devtype;
	private String highvalue;
	private String lowvalue;
	private String unit;
	private Integer alarmtypeid;
	private Integer pgdeviceid;
	
	public static Integer ALARM_TYPE_DEVRUN = 1;
	public static Integer ALARM_TYPE_PGRUN = 2;
	public static Integer ALARM_TYPE_PGSAF = 3;
	public static Integer ALARM_TYPE_INPG = 4;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getDevtype() {
		return devtype;
	}

	public void setDevtype(String devtype) {
		this.devtype = devtype;
	}

	public String getHighvalue() {
		return highvalue;
	}

	public void setHighvalue(String highvalue) {
		this.highvalue = highvalue;
	}

	public String getLowvalue() {
		return lowvalue;
	}

	public void setLowvalue(String lowvalue) {
		this.lowvalue = lowvalue;
	}

	public String getUnit() {
		return unit;
	}

	public void setUnit(String unit) {
		this.unit = unit;
	}

	public Integer getAlarmtypeid() {
		return alarmtypeid;
	}

	public void setAlarmtypeid(Integer alarmtypeid) {
		this.alarmtypeid = alarmtypeid;
	}
	
	public Integer getPgdeviceid() {
		return pgdeviceid;
	}

	public void setPgdeviceid(Integer pgdeviceid) {
		this.pgdeviceid = pgdeviceid;
	}

	@Override
	public String toString() {
		return "PgAlarmRule[deviceid=" + pgdeviceid + ", high=" + highvalue + ", low= " + lowvalue + "]";
	}

}
